## GDataMediaCategory

GDataMediaCategory — Media RSS category element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataMediaCategory * | gdata_media_category_new ()
const gchar * | gdata_media_category_get_category ()
void | gdata_media_category_set_category ()
const gchar * | gdata_media_category_get_scheme ()
void | gdata_media_category_set_scheme ()
const gchar * | gdata_media_category_get_label ()
void | gdata_media_category_set_label ()

## Properties

char * | category | Read / Write
char * | label | Read / Write
char * | scheme | Read / Write

## Types and Values

| GDataMediaCategory
| GDataMediaCategoryClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataMediaCategory

## Includes

    #include <gdata/media/gdata-media-category.h>

## Description

GDataMediaCategory represents a "category" element from the

Media RSS specification.

## Functions

### gdata_media_category_new ()

    GDataMediaCategory *
    gdata_media_category_new (const gchar *category,
                              const gchar *scheme,
                              const gchar *label);

Creates a new GDataMediaCategory. More information is available in the Media RSS specification.

#### Parameters

category | a category describing the content |
scheme | a URI identifying the categorisation scheme, or `NULL`. | [allow-none]
label | a human-readable name for the category, or `NULL`. | [allow-none]

#### Returns

a new GDataMediaCategory, or `NULL`; unref with `g_object_unref()`

### gdata_media_category_get_category ()

    const gchar *
    gdata_media_category_get_category (GDataMediaCategory *self);

Gets the “category” property.

#### Parameters

self | a GDataMediaCategory |

#### Returns

the actual category

Since: 0.4.0

### gdata_media_category_set_category ()

    void
    gdata_media_category_set_category (GDataMediaCategory *self,
                                       const gchar *category);

Sets the “category” property to `category` .

#### Parameters

self | a GDataMediaCategory |
category | the new category |

Since: 0.4.0

### gdata_media_category_get_scheme ()

    const gchar *
    gdata_media_category_get_scheme (GDataMediaCategory *self);

Gets the “scheme” property.

#### Parameters

self | a GDataMediaCategory |

#### Returns

the category's scheme, or `NULL`

Since: 0.4.0

### gdata_media_category_set_scheme ()

    void
    gdata_media_category_set_scheme (GDataMediaCategory *self,
                                     const gchar *scheme);

Sets the “scheme” property to `scheme` .

Set `scheme` to `NULL` to unset the property.

#### Parameters

self | a GDataMediaCategory |
scheme | the category's new scheme, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_media_category_get_label ()

    const gchar *
    gdata_media_category_get_label (GDataMediaCategory *self);

Gets the “label” property.

#### Parameters

self | a GDataMediaCategory |

#### Returns

the category's label, or `NULL`

Since: 0.4.0

### gdata_media_category_set_label ()

    void
    gdata_media_category_set_label (GDataMediaCategory *self,
                                    const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property.

#### Parameters

self | a GDataMediaCategory |
label | the category's new label, or `NULL`. | [allow-none]

Since: 0.4.0

## Types and Values

### GDataMediaCategory

    typedef struct _GDataMediaCategory GDataMediaCategory;

All the fields in the GDataMediaCategory structure are private and should never be accessed directly.

### GDataMediaCategoryClass

    typedef struct {
    } GDataMediaCategoryClass;

All the fields in the GDataMediaCategoryClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“category”` property

      “category”                 char *

The category name.

For more information, see the Media RSS specification.

Owner: GDataMediaCategory

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“label”` property

      “label”                    char *

A human-readable label that can be displayed in end-user applications.

For more information, see the Media RSS specification.

Owner: GDataMediaCategory

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“scheme”` property

      “scheme”                   char *

A URI that identifies the categorization scheme.

For more information, see the Media RSS specification.

Owner: GDataMediaCategory

Flags: Read / Write

Default value: NULL

Since: 0.4.0